Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060560 - [abrt] mate-file-manager: g_object_new_with_custom_constructor(): caja killed by SIGSEGV
Summary: [abrt] mate-file-manager: g_object_new_with_custom_constructor(): caja killed...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-file-manager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2fc1380fd2d96f29f83a7441bb2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-02 15:54 UTC by Jens Petersen
Modified: 2014-03-22 15:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-22 15:05:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: cgroup (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: core_backtrace (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: dso_list (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: environ (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: exploitable (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: limits (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: maps (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: open_fds (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: proc_pid_status (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details
File: var_log_messages (deleted)
2014-02-02 15:55 UTC, Jens Petersen
no flags Details

Description Jens Petersen 2014-02-02 15:54:55 UTC
Version-Release number of selected component:
mate-file-manager-1.6.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        caja --no-desktop /home/jens/Downloads
crash_function: g_object_new_with_custom_constructor
executable:     /usr/bin/caja
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_object_new_with_custom_constructor at gobject.c:1655
 #1 g_object_new_internal at gobject.c:1744
 #4 gtk_toggle_button_new at gtktogglebutton.c:204
 #5 make_directory_button at caja-pathbar.c:1985
 #6 caja_path_bar_update_path at caja-pathbar.c:2188
 #7 caja_path_bar_set_path at caja-pathbar.c:2257
 #8 real_sync_location_widgets at caja-navigation-window-pane.c:626
 #9 update_for_new_location at caja-window-manage-views.c:1875
 #10 location_has_really_changed at caja-window-manage-views.c:1614
 #11 caja_window_report_load_underway at caja-window-manage-views.c:1533

Comment 1 Jens Petersen 2014-02-02 15:55:00 UTC
Created attachment 858271 [details]
File: backtrace

Comment 2 Jens Petersen 2014-02-02 15:55:02 UTC
Created attachment 858272 [details]
File: cgroup

Comment 3 Jens Petersen 2014-02-02 15:55:03 UTC
Created attachment 858273 [details]
File: core_backtrace

Comment 4 Jens Petersen 2014-02-02 15:55:05 UTC
Created attachment 858274 [details]
File: dso_list

Comment 5 Jens Petersen 2014-02-02 15:55:07 UTC
Created attachment 858275 [details]
File: environ

Comment 6 Jens Petersen 2014-02-02 15:55:09 UTC
Created attachment 858276 [details]
File: exploitable

Comment 7 Jens Petersen 2014-02-02 15:55:10 UTC
Created attachment 858277 [details]
File: limits

Comment 8 Jens Petersen 2014-02-02 15:55:12 UTC
Created attachment 858278 [details]
File: maps

Comment 9 Jens Petersen 2014-02-02 15:55:14 UTC
Created attachment 858279 [details]
File: open_fds

Comment 10 Jens Petersen 2014-02-02 15:55:16 UTC
Created attachment 858280 [details]
File: proc_pid_status

Comment 11 Jens Petersen 2014-02-02 15:55:18 UTC
Created attachment 858281 [details]
File: var_log_messages

Comment 12 Wolfgang Ulbrich 2014-02-15 13:57:11 UTC
Pls open a bug direct at upstream for this.
As an fedora xnomad maitainer you should know how to do this.
Why you always force me to do this work?

Comment 13 Jens Petersen 2014-02-17 02:06:24 UTC
Okay I reported:
https://github.com/mate-desktop/caja/issues/258

I hope that is the right place.

You don't need to be so upset. :)
The report was generated automatically by abrt.

Comment 14 Wolfgang Ulbrich 2014-03-22 15:05:49 UTC
Upstream couldn't reproduce the issue and closed upstream report.
I will follow them, feel free to report at upstream report if this issue still exists.


Note You need to log in before you can comment on or make changes to this bug.